Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624305 - Norwegian keys are "dead" in amsn from a fresh install of Fedora 13
Norwegian keys are "dead" in amsn from a fresh install of Fedora 13
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amsn (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-15 18:35 EDT by Stig Roed
Modified: 2011-06-28 10:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:34:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Roed 2010-08-15 18:35:14 EDT
Description of problem:
Norwegian keys are "dead" in amsn from a fresh install. Keyboard layout is correct, and the keys work in every other program I tested (empathy, pidgin, firefox, gnome-terminal and a few others). The problem occurs in both the i386 release and the x64. Compiling from source does not solve the problem either. Reinstalling Fedora 12, installing amsn there and then upgrading via yum solves the problem.

Version-Release number of selected component (if applicable):


How reproducible:
I've tried a fresh install of both the i386 release as well as the x64 release and it happens on both platforms so I guess it's easily reproducible.

Steps to Reproduce:
1. Do a fresh install of fedora 13
2. Install amsn
3.
  
Actual results:
Norwegian keys are "dead"

Expected results:


Additional info:
Every other key is mapped correct according to the norwegian keymapping, only the three norwegian letters are missing. I have no problem reading messages with norwegian letters though.
Comment 1 Sander Hoentjen 2010-08-16 01:42:33 EDT
Since an upgrade works my guess is that there is a package missing, one that you need.

If it is possible for you, can you do `rpm -qa |sort > f12upgrade.packages`
on the upgraded system and `rpm -qa |sort > f13install.packages` on the fresh install?

After that diff the files to see what packages are not there.
Comment 2 Stig Roed 2010-08-16 01:50:41 EDT
(In reply to comment #1)
> Since an upgrade works my guess is that there is a package missing, one that
> you need.
> 
> If it is possible for you, can you do `rpm -qa |sort > f12upgrade.packages`
> on the upgraded system and `rpm -qa |sort > f13install.packages` on the fresh
> install?
> 
> After that diff the files to see what packages are not there.

I'll have to do a fresh install on a virtual machine then to see if there are any differences, will do that after work today. :)
Comment 3 Bug Zapper 2011-06-01 07:25:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 10:34:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.